ata_sas_queuecmd
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_sas_queuecmd — Issue SCSI cdb to libata-managed device

## Synopsis

`int ata_sas_queuecmd (` | struct scsi_cmnd * | cmd,
| void (* | done`(`struct scsi_cmnd *`)`,
| struct ata_port * | ap`)`;

## Arguments

`cmd`

  SCSI command to be sent

`done`

  Completion function, called when command is complete

`ap`

  ATA port to which the command is being sent

## RETURNS

Return value from `__ata_scsi_queuecmd` if `cmd` can be queued, 0 otherwise.

Prev | Up | Next
ata_sas_slave_configure | Home | ata_get_identity